package net.wanji.opt.synthesis.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.opt.po.StrategyControlDataEntity;
import net.wanji.opt.synthesis.pojo.StrategyControlVO;
import net.wanji.opt.synthesis.service.StrategyControlService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.ws.rs.core.MediaType;

/**
 * @author duanruiming
 * @date 2024/11/03 12:42
 * @description 神思电子获取1.1策略计划基础信息
 */
@Api(value = "StrategyControlController", description = "策略控制")
@RequestMapping("/strategyControl")
@RestController
public class StrategyControlController {

    @Resource
    private StrategyControlService strategyControlService;

    @ApiOperation(value = "策略控制信息操作", notes = "策略控制信息操作",
            response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @PostMapping(value = "/strategyInfoOperation",
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = StrategyControlVO.class),
    })
    public JsonViewObject strategyInfoOperation(@RequestBody StrategyControlVO strategyControlVO) throws Exception {
        return strategyControlService.strategyInfoOperation(strategyControlVO);
    }

    @ApiOperation(value = "策略控制信息分页查询", notes = "策略控制信息分页查询",
            response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @PostMapping(value = "/strategyInfoPageList",
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = StrategyControlDataEntity.class),
    })
    public JsonViewObject strategyInfoPageList(@RequestBody StrategyControlDataEntity entity) throws Exception {
        return strategyControlService.strategyInfoPageList(entity);
    }

}
